############################################################################
#
#  Program:         SuperLU
#
#  Module:          make.inc
#
#  Purpose:         Top-level Definitions
#
#  Creation date:   October 2, 1995
#
#  Modified:	    February 4, 1997  Version 1.0
#		    November 15, 1997 Version 1.1
#		    September 1, 1999 Version 2.0
#
############################################################################
#
#  The machine (platform) identifier to append to the library names
#
PLAT = 

#
#  The name of the libraries to be created/linked to
#
SuperLUroot	= ..
SUPERLULIB   	= $(SuperLUroot)/libsuperlu.a
# BLASDEF = -DUSE_VENDOR_BLAS
# BLASLIB   	= -latlas
BLASLIB = ../blas$(PLAT).a
TMGLIB       	= libtmglib.a
LIBS		= $(SUPERLULIB) $(BLASLIB)

include ../../make.cfg

#
#  C preprocessor defs for compilation for the Fortran interface
#  (-DNoChange, -DAdd_, -DAdd__, or -DUpCase)
#
CDEFS        = -DAdd_
#
# The directory in which Matlab is installed
#
MATLAB	     = /usr/sww/matlab

